Upload a document (PDF, max 10 MB)
curl --request POST \
--url https://api.range.org/v2/counterparties/{id}/documents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form type=kyb \
--form name=certificate_of_incorporation.pdfimport requests
url = "https://api.range.org/v2/counterparties/{id}/documents"
payload = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"type\"\r\n\r\nkyb\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"name\"\r\n\r\ncertificate_of_incorporation.pdf\r\n-----011000010111000001101001--"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "multipart/form-data"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const form = new FormData();
form.append('type', 'kyb');
form.append('name', 'certificate_of_incorporation.pdf');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.range.org/v2/counterparties/{id}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "doc-001",
"name": "certificate_of_incorporation.pdf",
"type": "kyb",
"mime_type": "application/pdf",
"size_bytes": 245000,
"uploaded_at": "2026-05-10T09:00:00Z"
}Counterparties
Upload a document (PDF, max 10 MB)
POST
/
v2
/
counterparties
/
{id}
/
documents
Upload a document (PDF, max 10 MB)
Authorizations
Use Authorization: Bearer
Path Parameters
Body
multipart/form-data
Response
201 - application/json
Example:
"doc-001"
Example:
"certificate_of_incorporation.pdf"
Available options:
kyc, kyb, contract, other Example:
"kyb"
Example:
"application/pdf"
Example:
245000
Example:
"2026-05-10T09:00:00Z"
Last modified on July 17, 2026
Was this page helpful?
⌘I